## com.thingmagic
Enum Gen2.Bank

    java.lang.Object
      java.lang.Enum<Gen2.Bank>
          com.thingmagic.Gen2.Bank

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Bank>

Enclosing class:
  Gen2

    public static enum Gen2.Bank

extends java.lang.Enum<Gen2.Bank>

Gen2 memory banks

Enum Constant Summary
`EPC`
`GEN2BANKEPCENABLED`
`GEN2BANKRESERVEDENABLED`
`GEN2BANKTIDENABLED`
`GEN2BANKUSERENABLED`
`GEN2EPCLENGTHFILTER`
`GEN2EPCTRUNCATE`
`RESERVED`
`TID`
`USER`

Method Summary
`static Gen2.Bank` `getBank(int v)`
`static Gen2.Bank` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Bank[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESERVED

    public static final Gen2.Bank RESERVED

### EPC

    public static final Gen2.Bank EPC

### TID

    public static final Gen2.Bank TID

### USER

    public static final Gen2.Bank USER

### GEN2BANKRESERVEDENABLED

    public static final Gen2.Bank GEN2BANKRESERVEDENABLED

### GEN2EPCLENGTHFILTER

    public static final Gen2.Bank GEN2EPCLENGTHFILTER

### GEN2EPCTRUNCATE

    public static final Gen2.Bank GEN2EPCTRUNCATE

### GEN2BANKEPCENABLED

    public static final Gen2.Bank GEN2BANKEPCENABLED

### GEN2BANKTIDENABLED

    public static final Gen2.Bank GEN2BANKTIDENABLED

### GEN2BANKUSERENABLED

    public static final Gen2.Bank GEN2BANKUSERENABLED

Method Detail

### values

    public static Gen2.Bank[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Bank c : Gen2.Bank.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Bank valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getBank

    public static Gen2.Bank getBank(int v)